=begin
#Platform external API.

#Documentation of our Platform external API.

OpenAPI spec version: 1.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 3.0.34
=end

require 'spec_helper'
require 'json'

# Unit tests for Shippo::CarrierMasterAccountsApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'CarrierMasterAccountsApi' do
  before do
    # run before each test
    @instance = Shippo::CarrierMasterAccountsApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of CarrierMasterAccountsApi' do
    it 'should create an instance of CarrierMasterAccountsApi' do
      expect(@instance).to be_instance_of(Shippo::CarrierMasterAccountsApi)
    end
  end

  # unit tests for carrier_register_status
  # Get Carrier Registration status
  # Gets the registration status for the given account for the given carrier
  # @param carrier 
  # @param merchant_id description: Object ID of the merchant
  # @param [Hash] opts the optional parameters
  # @option opts [String] :shippo_api_version description: String used to pick a non-default api version to use
  # @return [CarrierRegisterStatusResponse]
  describe 'carrier_register_status test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for platform_carrier_registration
  # Add a Shippo master carrier account
  # Add a Shippo master carrier account to the merchant
  # @param [Hash] opts the optional parameters
  # @option opts [CreateCanadaPostMasterAccountRequest] :body Examples.
  # @return [PlatformCarrierRegisterResponse]
  describe 'platform_carrier_registration test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
